import Request from '../common/request.js';
let request = new Request().http

  
 export function payment(data) {
 	 return request('/app/payment/paymentByWxaCode',data,'POST','application/json;charset=UTF-8');
 }
  // 获取扫码立减金接口
 export function paymentDirect(data) {
 	 return request('/app/scan/payment/getScanCodeDiscountAmount',data,'GET');
 }
 // 获取扫码统计列表
 export function getPaymentList(data) {
 	 return request('/app/scan/payment/getScanPayStatPage',data,'POST','application/json;charset=UTF-8');
 }
 // 获取扫码统计数据
 export function getPaymentData(data) {
 	 return request('/app/scan/payment/getScanPayStat',data,'POST','application/json;charset=UTF-8');
 }
 // 获取扫码流水详情
 export function getPaymentDetail({paymentId}) {
 	 return request('/app/scan/payment/getPaymentDetail/'+paymentId,{},'GET','application/json;charset=UTF-8');
 }
 // 退款审核接口
 export function toReviewRefund(data) {
 	 return request('/app/scan/payment/refund/audit',data,'PUT','application/json;charset=UTF-8');
 }
 // 退款接口
 export function refundStorePayment(data) {
 	 return request('/app/scan/payment/refundStorePayment',data,'POST','application/json;charset=UTF-8');
 }
 